<template>
	<el-row>
		<el-form ref="form" :model="form" label-width="7.5rem">
			<el-form-item class="marginBottom10" label="*账户名">
				<el-input v-model="form.BankAccountName" placeholder="请输入账户名"></el-input>
			</el-form-item>
			<el-form-item class="marginBottom10" label="*银行账号">
				<el-input v-model="form.bankAccountNumber" placeholder="请输入银行账号"></el-input>
			</el-form-item>
			<el-form-item class="marginBottom10" label="*开户行及网点">
				<el-input v-model="form.BankName" placeholder="请输入开户行及网点名称"></el-input>
			</el-form-item>
			<el-form-item class="marginBottom10" label="*开户省市">
				<el-cascader
					style="width:100%;"
					expand-trigger="hover"
					:options="area"
					:props="props"
					v-model="form.selectedOptions"
				></el-cascader>
			</el-form-item>
			<el-form-item class="marginBottom10" label="*联系手机">
				<el-row>
					<el-col :span="16">
						<el-input maxlength="11" type="number" v-model="form.cellphone" placeholder="请输入手机号码"></el-input>
					</el-col>
					<el-col :span="7" :offset="1">
						<el-button
							style="width:100%;"
							type="primary"
							:disabled="sms_time === 0 ? false : true"
							@click="sendSms"
						>{{sms_time ? sms_time + '秒' : '发送验证码'}}</el-button>
					</el-col>
				</el-row>
			</el-form-item>
			<el-form-item class="marginBottom10" label="*验证码">
				<el-input v-model="form.verifyCode" placeholder="请输入验证码"></el-input>
			</el-form-item>
		</el-form>
		<el-row class="flexHcenter marginTop40">
			<el-button type="primary" style="width:7.5rem;" @click="complete">完 成</el-button>
		</el-row>
	</el-row>
</template>

<script>
import area from '@js/area'
export default {
	mixins: [$mixin],
	data() {
		return {
			form: {
				BankName: '',
				BankAccountName: '',
				bankAccountNumber: '',
				province: '',
				city: '',
				cellphone: '',
				verifyCode: '',
				selectedOptions: []
			},
			sms_time: 0,
			props: {
				value: 'label',
				children: 'cities'
			},
			area
		}
	},
	watch: {
		sms_time(val) {
			if (val) {
				setTimeout(() => {
					this.sms_time = val - 1
				}, 1000)
			}
		}
	},
	methods: {
		complete() {
			this.form.province = this.form.selectedOptions[0]
			this.form.city = this.form.selectedOptions[1]
			let condition = Object.keys(this.form).some(item => {
				!this.form[item] && console.log(item)
				return !this.form[item]
			})
			if (condition) {
				this.alert('请正确填写账户相关信息')
				return false
			}
			$event_bus.$emit('complete', { form: this.form })
		},
		sendSms() {
			if (!this.form.cellphone) {
				this.alert('手机号码不能为空')
				return false
			}
			this.$http
				.post({
					url: 'company/getVerifyCode',
					params: {
						cellphone: this.form.cellphone,
						type: 6
					}
				})
				.then(
					({ data }) => {
						data => {
							this.sms_time = 60
						}
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {
		console.log(area)
	}
}
</script>

<style lang="less" scoped>
</style>
